Package org.apache.maven.scm.command.changelog

## Class ChangeLogScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.changelog.ChangeLogScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class ChangeLogScmResult
    extends ScmResult

Author:
  Trygve Laugstøl, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`ChangeLogScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`ChangeLogScmResult​(java.lang.String commandLine, ChangeLogSet changeLog)`
`ChangeLogScmResult​(ChangeLogSet changeLog, ScmResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChangeLogSet` `getChangeLog()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeLogScmResult

    public ChangeLogScmResult​(java.lang.String commandLine,
                              java.lang.String providerMessage,
                              java.lang.String commandOutput,
                              boolean success)

#### ChangeLogScmResult

    public ChangeLogScmResult​(java.lang.String commandLine,
                              ChangeLogSet changeLog)

#### ChangeLogScmResult

    public ChangeLogScmResult​(ChangeLogSet changeLog,
                              ScmResult result)

### Method Detail

#### getChangeLog

    public ChangeLogSet getChangeLog()